allBorrowLendReserveStates
curl --request POST \
--url 'https://api.uniblock.dev/uni/v1/hyperliquid/info#30' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"type": "allBorrowLendReserveStates"
}
'const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'allBorrowLendReserveStates'})
};
fetch('https://api.uniblock.dev/uni/v1/hyperliquid/info#30', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.uniblock.dev/uni/v1/hyperliquid/info#30"
payload = { "type": "allBorrowLendReserveStates" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
[
0,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0224826396",
"balance": "77476098.3378316611",
"utilization": "0.4996142131",
"oraclePx": "1.0",
"ltv": "0.0",
"totalSupplied": "154832709.2892308235",
"totalBorrowed": "77356622.2180959582"
}
],
[
150,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0",
"balance": "6565465.6305424701",
"utilization": "0.0",
"oraclePx": "67.432",
"ltv": "0.5",
"totalSupplied": "6565465.6305424701",
"totalBorrowed": "0.0"
}
],
[
197,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0",
"balance": "964.1944510203",
"utilization": "0.0",
"oraclePx": "63956.022",
"ltv": "0.5",
"totalSupplied": "964.1944510203",
"totalBorrowed": "0.0"
}
],
[
268,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0207049005",
"balance": "2230282.7090596999",
"utilization": "0.4601089002",
"oraclePx": "0.99924",
"ltv": "0.0",
"totalSupplied": "4130986.19633597",
"totalBorrowed": "1900703.51566218"
}
],
[
360,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0175568809",
"balance": "476703.62497033",
"utilization": "0.3901529082",
"oraclePx": "1.0",
"ltv": "0.0",
"totalSupplied": "781676.77523352",
"totalBorrowed": "304973.4671639"
}
]
]Hyperliquid
allBorrowLendReserveStates
Native Hyperliquid /info operation. Returns the reserve states for all borrow/lend markets.
POST
/
v1
/
hyperliquid
/
info#30
allBorrowLendReserveStates
curl --request POST \
--url 'https://api.uniblock.dev/uni/v1/hyperliquid/info#30' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"type": "allBorrowLendReserveStates"
}
'const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'allBorrowLendReserveStates'})
};
fetch('https://api.uniblock.dev/uni/v1/hyperliquid/info#30', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.uniblock.dev/uni/v1/hyperliquid/info#30"
payload = { "type": "allBorrowLendReserveStates" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
[
0,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0224826396",
"balance": "77476098.3378316611",
"utilization": "0.4996142131",
"oraclePx": "1.0",
"ltv": "0.0",
"totalSupplied": "154832709.2892308235",
"totalBorrowed": "77356622.2180959582"
}
],
[
150,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0",
"balance": "6565465.6305424701",
"utilization": "0.0",
"oraclePx": "67.432",
"ltv": "0.5",
"totalSupplied": "6565465.6305424701",
"totalBorrowed": "0.0"
}
],
[
197,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0",
"balance": "964.1944510203",
"utilization": "0.0",
"oraclePx": "63956.022",
"ltv": "0.5",
"totalSupplied": "964.1944510203",
"totalBorrowed": "0.0"
}
],
[
268,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0207049005",
"balance": "2230282.7090596999",
"utilization": "0.4601089002",
"oraclePx": "0.99924",
"ltv": "0.0",
"totalSupplied": "4130986.19633597",
"totalBorrowed": "1900703.51566218"
}
],
[
360,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0175568809",
"balance": "476703.62497033",
"utilization": "0.3901529082",
"oraclePx": "1.0",
"ltv": "0.0",
"totalSupplied": "781676.77523352",
"totalBorrowed": "304973.4671639"
}
]
]Authorizations
API key to access the API (Optional)
Query Parameters
Unique identifier for a blockchain network.
Available options:
999, 998 Example:
999
Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)
Available options:
Alchemy, Dwellir, Chainstack, Covalent Body
application/json
Available options:
allBorrowLendReserveStates Example:
"allBorrowLendReserveStates"
Response
200 - application/json
Successful response.
Example:
[
[
0,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0224826396",
"balance": "77476098.3378316611",
"utilization": "0.4996142131",
"oraclePx": "1.0",
"ltv": "0.0",
"totalSupplied": "154832709.2892308235",
"totalBorrowed": "77356622.2180959582"
}
],
[
150,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0",
"balance": "6565465.6305424701",
"utilization": "0.0",
"oraclePx": "67.432",
"ltv": "0.5",
"totalSupplied": "6565465.6305424701",
"totalBorrowed": "0.0"
}
],
[
197,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0",
"balance": "964.1944510203",
"utilization": "0.0",
"oraclePx": "63956.022",
"ltv": "0.5",
"totalSupplied": "964.1944510203",
"totalBorrowed": "0.0"
}
],
[
268,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0207049005",
"balance": "2230282.7090596999",
"utilization": "0.4601089002",
"oraclePx": "0.99924",
"ltv": "0.0",
"totalSupplied": "4130986.19633597",
"totalBorrowed": "1900703.51566218"
}
],
[
360,
{
"borrowYearlyRate": "0.05",
"supplyYearlyRate": "0.0175568809",
"balance": "476703.62497033",
"utilization": "0.3901529082",
"oraclePx": "1.0",
"ltv": "0.0",
"totalSupplied": "781676.77523352",
"totalBorrowed": "304973.4671639"
}
]
]
Was this page helpful?
⌘I